<?php
/**
 * ===========================================================================
 * Veitool 快捷开发框架系统
 * Author: Niaho 26843818@qq.com
 * Copyright (c)2019-2025 www.veitool.com All rights reserved.
 * Licensed: 这不是一个自由软件，不允许对程序代码以任何形式任何目的的再发行
 * ---------------------------------------------------------------------------
 */

namespace app\model;

use \app\model\CertCategory;
use app\model\system\SystemUploadFile;
use think\facade\Db;
use think\Model;

/**
 * 课程模型
 */
class Cert extends Model
{


    public function getCreatetimeAttr($value)
    {
        return date('Y-m-d H:i:s', $value);
    }
    public function getStarttimetxtAttr($value,$data)
    {
        return date('Y-m-d', $data['start_time']);
    }
    public function getEndtimetxtAttr($value,$data)
    {
        return date('Y-m-d', $data['end_time']);
    }

    public function getThumbpathAttr($value, $data)
    {
        return get_upload_file($data['thumb_id']);
    }

    public function setStartTimeAttr($value)
    {

        return strtotime($value);
    }

    public function setEndTimeAttr($value)
    {
        return strtotime($value);
    }

    public function certcatedata()
    {

        return $this->hasOne(CertCategory::class, 'id', 'cate_id')
            ->field('id,title');

    }


}